diff options
author | Zac Medico <zmedico@gentoo.org> | 2006-06-01 13:46:57 +0000 |
---|---|---|
committer | Zac Medico <zmedico@gentoo.org> | 2006-06-01 13:46:57 +0000 |
commit | 0e8b9c2d130f99e7d6e832876f6df224596fa854 (patch) | |
tree | df13a8e2edd86a3dc16014624e379acad5151fea | |
parent | e6a38011e5158acc5dd4866112fc08aedd7afc1a (diff) | |
download | portage-0e8b9c2d130f99e7d6e832876f6df224596fa854.tar.gz portage-0e8b9c2d130f99e7d6e832876f6df224596fa854.tar.bz2 portage-0e8b9c2d130f99e7d6e832876f6df224596fa854.zip |
Fix unpack so that it works with 7z archives for bug #135134. Thanks to Paul Bredbury <brebs@sent.com> for the initial patch.
svn path=/main/trunk/; revision=3447
-rwxr-xr-x | bin/ebuild.sh | 8 |
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh index bfe9e072d..49cea8de8 100755 --- a/bin/ebuild.sh +++ b/bin/ebuild.sh @@ -399,6 +399,14 @@ unpack() { bzip2 -dc "${srcdir}${x}" > ${x%.*} || die "$myfail" fi ;; + 7Z|7z) + local my_output + my_output="$(7z x -y "${srcdir}/${x}")" + if [ $? -ne 0 ]; then + echo "${my_output}" >&2 + die "$myfail" + fi + ;; RAR|rar) unrar x -idq "${srcdir}/${x}" || die "$myfail" ;; |